%[pD,LL]=adapt(pD,pZ)
%method to adapt a DiscreteB object
%using observed 1-of-M vectors,
%or probabilities of such vectors.
%
%Input:
%pD=        single DiscreteB object, with prior parameter values
%pZ=        sequence of training data (column) vectors
%pZ(k,n)=   P[Z(k,n)==1], for data vector Z(:,n)
%
%Result:
%pD=        adapted version of the DiscreteB object
%LL=        low bound on Log-Likelihood of training data
%           in the variational approximation.
%           Ref: Bishop, 10.2.2
%
%Ermin Kozica 2007-06-04 The LL still needs to be calculated...

function [pD,LL,pDWinit]=adapt(pDprior,pZ)
if numel(pDprior)>1
    error('Method works only for a single object');
end;
if length(pDprior.Weight) ~= size(pZ,1)
    error('Inconsistent DataSize');
end;
pD=pDprior;%copy because we may need both later...
pDWinit=pD.Weight;
pD.Weight = pD.Weight + sum(pZ,2);

%%%%%%%%%%%%
if nargout>1%calculate also log-likelihood
    LL=0;%********** NOT YET IMPLEMENTED *********
    %Here we may need both pDprior and pD......???
end;

