%pMass=double(pD)
%converts a DiscreteB object or array of such objects
%to an array with Weight values, stored column-wise.
%i.e. inverse of pD=DiscreteB(pMass).
%
%Result:
%pMass=     matrix with collected Weight values
%pMass(k,i)= Dirichlet hyperparameter Alfa(k) for object pD(i).
%
%Arne Leijon 2009-05-06 tested

function pMass=double(pD)
M=0;%max discrete random integer
for i=1:numel(pD)%just in case M is not equal for all distr.
    M=max(M,length(pD(i).Weight));
end;
pMass=zeros(M,numel(pD));%space for Weight matrices
for i=1:numel(pD)
    pMass(1:length(pD(i).Weight),i)=pD(i).Weight;%column Weight values
end;
    