%H=entropy(pD)
%entropy H(Z) of discrete random variable Z,
%represented by a DiscreteB object or array of such objects
%Entropy is H(Z)=E[ -log2(prob(Z)) ]
%
%Input:
%pD=    DiscreteB object or array of DiscreteD objects
%
%Result:
%H=     Entropy [bits per sample]
%       size(H)=size(pD)
%
%Arne Leijon 2009-05-06 tested

function H=entropy(pD)
pDsize=size(pD);%size of object array
H=zeros(pDsize);%space for entropy values
for i=1:numel(pD)
    mu=pD(i).Mean;
    H(i)=-mu'*log2(max(mu,realmin));%avoid log(0)
end;