%mlQ=meanlogprob(pD)
%posterior mean of random log probabilities
%in a DiscreteB distribution, or array of such objects.
%
%Input:
%pD=        single DiscreteB object
%
%Result:
%mlQ=       mean log prob.
%   mlQ(i,k)=  E[ log Q(i) | Alfa], for object pD(k)
%   where Q has a Dirichlet prob.density.
%***NOTE: for the GMMB usage, pD contains only one object
%
%Ref: Bishop (2006), app. B
%           
% Svante Stadler

function mlQ=meanlogprob(pD)
a=double(pD);%collect all Weight column vectors in a matrix
[K,N] = size(a);

mlQ = psi(a) - repmat(psi(sum(a)),K,1);