%iZ=rand(pD,nData)
%generate random integers from DiscreteB object or array of such objects.
%Each sample is coded as the index of selected element in 1-of-M binary vector,
%but can be converted to binary by private function int2bin.
%
%Input:
%pD=    DiscreteB object or array of objects
%nData= scalar defining number of wanted random data vectors
%
%Result:
%iZ=    vector or matrix with random data
%   iZ(i,n)= sample #n from object #i
%   size(iZ)= [numel(pD), nData]
%
%Arne Leijon 2009-05-06 tested

function iZ=rand(pD,nData)
nObj=numel(pD);
iZ=zeros(nObj,nData);%space
for i=1:nObj   
    limits=cumsum((pD(i).Mean));
    %u=rand;%uniformly distributed (0,1)
    u=rand(1,nData);%one for each wanted random integer
    iZ(i,:)=1+sum(repmat(u,size(limits,1),1) > repmat(limits,1,nData),1);
end;