%pD=init(pD,x);
%initializes a single GMMB object
%to conform with a set of given observed vectors.
%The agreement is very crude, and must be refined by training.
%
%Input:
%pD=    a single GMMB object or array of such objects
%x=     matrix with observed vectors stored columnwise
%
%Result:
%pD=    initialized GMMB object
%
%Method:
%For a single GMMB object: let the Gaussians sub-object do it.
%For a GMMB array: Not implemented.
%  
%Arne Leijon 2009-05-06 tested

function pD=init(pD,x)
if numel(pD)>1
    error('Works only for single object');
end;
nComponents=length(pD.Gaussians);
pD.MixWeight=DiscreteB(0.001*ones(nComponents,1));%for a sparse GMMB,
%       just in case default was previously set differently
pD.Gaussians=init(pD.Gaussians,x);
% pD.Gaussians=init_jalil2(pD.Gaussians,x);