%logP=logprob(pD,x) gives log(probability densities) for given vectors
%assumed to be drawn from a given GMMB object
%
%Input:
%pD=    GMMB object or array of GMMB objects
%x=     matrix with given vectors stored columnwise
%
%Result:
%logP=  log(probability densities for x)
%       size(logP)== [length(pD),size(x,2)], if pD is one-dimensional vector
%       size(logP)== [size(pD),size(x,2)], if pD is multidim array
%exp(logP)=   true probability densities for x
%
%The log representation is useful because the probability densities may be
%extremely small for random vectors with many elements
%  
%Arne Leijon 2007-05-23 tested

function logP=logprob(pD,x)
[f,logS]=prob(pD,x);
logP=logS+log(f);