%OK=propertiesOK(gD)
%tests if all properties are consistent 
%in given GMMB object or array of such objects.
%Input:
%gD=  GMMB object(s)
%
%Result:
%OK=    true, if all properties are OK
%warnings are signalled, if not OK
%
%Arne Leijon, 2007-05-23 tested

function OK=propertiesOK(gD)
nObj=numel(gD);
OK=true;
for i=1:nObj
    if length(gD(i).Gaussians) ~= gD(i).MixWeight.DataSize
        OK=false;
        warning('Gaussians and MixWeight must have equal length');
    end;
end;