%function gm=prune(gm)
%remove superfluous components of a GMMB object or array of such objects.
%Input:
%gm=    GMMB object, or array of such objects
%Result:
%gm=    pruned GMMB
%
%Arne Leijon, 2009-05-10

function gm=prune(gm)
nObj=numel(gm);
for i=1:nObj
    w=gm(i).MixWeight;%the DiscreteB weight distribution
    ww=double(w);
    [ww,iSort]=sort(ww,'descend');
    keep=ww>2;%MORE than one obs required
    c=gm(i).Gaussians;%the GaussB components array
    gm(i).MixWeight=DiscreteB(ww(keep));%already sorted
    gm(i).Gaussians=c(iSort(keep));
end;