function [X,S]=rand(pD,nSamples)
%generate random vectors drawn from a single GMMB object.
%********need another method for array of objects?!
%
%Input:
%pD=        the GMMB object
%nSamples=  scalar defining number of wanted random data vectors
%
%Result:
%X= matrix with column vectors drawn at random from object pD
%   size(X)== [pD.DataSize, nSamples]
%S= row vector with indices of the GaussB sub-objects randomly chosen
%   size(S)== [1, nSamples]
%
%Arne Leijon 2011-05-05 mildly tested

if length(pD)>1
    error('This method works only for a single GaussMixD object');
end;
S=rand(pD.MixWeight,nSamples);%random integer sequence, from the mixing DiscreteB object
X=zeros(pD.DataSize,nSamples);%space for result
for s=min(S):max(S)
    X(:,S==s)=rand(pD.Gaussians(s),sum(S==s));%get from randomly chosen sub-object
end;
end
