function x = rand(pD,nData)
%RAND generate random sequence from GaussB distribution
%   use: x = rand(pD,n)
D = length(pD.Mean);
x = zeros(D,nData);

for n=1:nData
   % 1. draw random parameters
   A  = wishrnd(pD.WishartW,pD.WishartDF);
   Ai = inv(A);
   [Aeig,Avar] = eig(Ai);
   mu = pD.Mean + Aeig*sqrt(Avar)*randn(D,1)/pD.MeanPrec;
   
   % 2. draw data from Gauss distribution
   x(:,n) = mu + Aeig*sqrt(Avar)*randn(D,1);
end