%VQ
%is a class representing a Vector Quantizer.
%Continuous-valued vectors to be quantized are given columnwise, in a matrix.
%
%Usage:
%vq=VQ('CodeBook',codebook);%construct a VQ object from a given CodeBook
%vq=create(VQ,x,10);%initialize and train a VQ object to given data
%vq=init(VQ,x);%initialize a VQ object for training vectors x.
%vq=trainLloyd(vq,x);%train a given vq object by generalized Lloyd algorithm
%c=encode(vq,y);%encode a given vector set y to integer code-index vector c
%z=decode(vq,c);%restore vectors coded by an index vector c
%
%Class Property (accessible by get/set methods):
%   CodeBook=   set of vector centroids used for quantization
%               stored column-wise
%
%Class methods:
%
%Initializing and training:
%   VQ              - object constructor
%	init			- initialize a VQ
%   trainLloyd      - optimize a given VQ object to training data
%	create      	- initialize and optimize a VQ object, using given data
%
%Using a VQ:
%	encode		- encode cont.valued vectors as discrete (integer) codes 
%	decode		- recreate cont.valued vectors from discrete (integer) codes
%
%Arne Leijon 2006-04-03, based on OUTDATED non-class VQ package
