%cb=double(vq) returns the VQ codebook
%for a VQ object or in a cell array for an array of VQ objects
%
%Result:
%If single VQ object:
%cb=    VQ codebook, 
%       size(cb)=[vector length, number of codevectors]
%if array of VQ objects:
%cb=    cell array with VQ codebooks
%       size(cb)=size(vq)
%
%Arne Leijon 2006-03-31 tested

function cb=double(vq)
sizObj=size(vq);
nObj=numel(vq);
if nObj==1
    cb=vq.CodeBook;
else
    cb=cell(sizObj);
    for i=1:nObj
        cb{i}=vq(i).CodeBook;
    end;
end;