%function iX=encode(vq,X);
%encodes vectors in matrix X, using given VQ object, or arry of such objects,
%for minimum Euclidean square-sum distortion.
%
%Input:
%vq=    VQ object, or array of such objects
%X=     matrix with input data vectors, stored columnwise.
%Result:
%iX=    row vector with index of nearest codebook point, for each vector
%       size(iX)== [1,size(X,2)]
%
%Arne Leijon 2006-03-31 tested
%           2008-01-28 small bugfix for 1-Dim data

function iX=encode(vq,X)
if numel(vq)>1
    error('Method works only for single object');end;
nX=size(X,2);
C=vq.CodeBook;
dist=repmat((sum(C.*C,1))',1,nX)-2*C'*X;%to be minimized among C entries
[dX,iX]=min(dist);