%function C=init(C,X,Ncodes);
%initialize Vector Quantizer for vectors in matrix X,
%Input:
%C=     the VQ object
%X=     matrix with training vectors, stored columnwise
%Ncodes=desired size of codebook
%       Ncodes is forced to be <= size(X,2)
%
%Result:
%C= 	new VQ object, adapted for X
%
%Arne Leijon 2006-04-03 tested

function C=init(C,X,Ncodes)
nX=size(X,2);
if(Ncodes>nX)
    warning(['CodeBook size reduced to ',num2str(nX)]);
    Ncodes=nX;
end;

iC=round([1:Ncodes]*nX/Ncodes);%uniformly selected code vectors
C=set(C,'CodeBook',X(:,iC));